﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win.UltraWinToolTip;

namespace WindowsFormsApplication366
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraGrid1.DataSource = GetTable();
        }

        static DataTable GetTable()
        {
            DataTable table = new DataTable();
            table.Columns.Add("Checkbox", typeof(bool));
            table.Columns.Add("Drug", typeof(string));

            table.Rows.Add(true, "Indocin");
            table.Rows.Add(false, "Enebrel");
            table.Rows.Add(true, "Hydralazine");
            table.Rows.Add(false, "Combivent");
            table.Rows.Add(true, "Dilantin");
            return table;
        }

        UltraToolTipInfo infoRow;
        RowUIElement currentRow;
        private void ultraGrid1_MouseEnterElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            if (e.Element.GetAncestor(typeof(RowUIElement)) != null)
            {
                currentRow = (RowUIElement)e.Element.GetAncestor(typeof(RowUIElement)) as RowUIElement;
                if (currentRow != null && (bool)currentRow.Row.Cells["Checkbox"].Value == true)
                {
                    infoRow = new UltraToolTipInfo(currentRow.Row.Index.ToString(), Infragistics.Win.ToolTipImage.Info, currentRow.Row.GetType().ToString(), Infragistics.Win.DefaultableBoolean.True);
                    ultraToolTipManager1.SetUltraToolTip(ultraGrid1, infoRow);
                    ultraToolTipManager1.ShowToolTip(ultraGrid1);
                }
            }
        }

        private void ultraGrid1_MouseLeaveElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            ultraToolTipManager1.HideToolTip();
        }
    }
}
